Jump to content

[1.2.0] Toolbar 1.7.13 - Common API for draggable/resizable buttons toolbar


Recommended Posts

1 hour ago, NeoMorph said:

I edited the .version file to make it 1.1.3 but it still yells at me.

Delete the MiniAVC.dll file.  That will stop the message.

Link to post
Share on other sites
On 5/4/2016 at 9:35 PM, Gaiiden said:

I'm still getting my 1.1.2 game setup so all I did was go into the space center to confirm things seemed to be working ok and they are, but still wondering if this exception is benign or not

[EXC 22:34:16.317] MissingMethodException: Method not found: 'PopupDialog.SpawnPopupDialog'.

Shows up when I drop in Toolbar v1.7.12 and goes away when I remove it

I still get this from time to time.:huh:

Link to post
Share on other sites
  • 3 weeks later...
3 hours ago, Phineas Freak said:

@LordDilip because theoretically it is outdated. To "fix" this either delete the "toolbar.version" file or open it and change the "PATCH" values from 2 to 3.

Does not work at all by editing it. Deleting toolbar.version (renamed as toolbar.version.old) works.

thx Phineas Freak

Edited by djokoss22
Link to post
Share on other sites
16 hours ago, Brigadier said:

Is there some reason why my toolbar folder icons keep reverting to the default picture?

It's done that since forever. Since I started using it in 1.0.5 at least.

5 hours ago, Phineas Freak said:

@LordDilip because theoretically it is outdated. To "fix" this either delete the "toolbar.version" file or open it and change the "PATCH" values from 2 to 3.

I don't think deleting it outright is the best practice; removing MiniAVC is probably a better bet, as is your second suggestion.

 

 

@LordDilip

	"KSP_VERSION": {
		"MAJOR": 1,
		"MINOR": 1,
		"PATCH": 3,
		"BUILD": 0
	},
	"KSP_VERSION_MIN": {
		"MAJOR": 1,
		"MINOR": 1,
		"PATCH": 3,
		"BUILD": 0
	},
	"KSP_VERSION_MAX": {
		"MAJOR": 1,
		"MINOR": 1,
		"PATCH": 3,
		"BUILD": 0
	}

 

Link to post
Share on other sites

ok can someone tell me the latest version of this mod that is compatibal with ksp 1.1.3 because i am using 1.7.12 of this mod and first, it is outdated, - i did what u told me, to delete the minAVC and the message is gone! thanks. However the toolbar doesnt appear. 

 

 

the Toolbar settings,

 

 

toolbars

{

      MAINMENU

      {

            toolbar_1117358232

            {

                  x = 300

                  y = 300

                  width = 250

                  height = 0

                  autoHide = False

                  drawBorder = True

                  useKSPSkin = False

                  buttonOrder =

                  visibleButtons =

            }

            toolbar_2058068897

            {

                  x = 300

                  y = 300

                  width = 250

                  height = 0

                  autoHide = False

                  drawBorder = True

                  useKSPSkin = False

                  buttonOrder =

                  visibleButtons =

            }

            toolbar_1485902927

            {

                  x = 300

                  y = 300

                  width = 250

                  height = 0

                  autoHide = False

                  drawBorder = True

                  useKSPSkin = False

                  buttonOrder =

                  visibleButtons =

            }

      }

}

 

is this right???

Edited by LordDilip
Link to post
Share on other sites
On 28/07/2016 at 5:04 AM, Brigadier said:

Is there some reason why my toolbar folder icons keep reverting to the default picture?

Yeah, this has been happening to me for ages and ages. I resorted eventually to just finding the toolbar-settings file and setting it to read-only after making any changes to it. Would be neat if there was a way of doing that through the in-game interface, but no idea if that's feasible code-wise.

Link to post
Share on other sites
2 hours ago, LordDilip said:

ok can someone tell me the latest version of this mod that is compatibal with ksp 1.1.3 because i am using 1.7.12 of this mod and first, it is outdated, - i did what u told me, to delete the minAVC and the message is gone! thanks. However the toolbar doesnt appear.

1.7.12 works well enough for 1.1.3 to call it compatable...So dont be too concerned that the mod is "outdated"...

And yes, deleting the MiniAVC.dll is the best bet for getting rid of the version checking... IIRC, the reason editing the .version files sometimes doesnt work, is because MiniAVC compares the .version in your install, with the one stored on the MiniAVC online database... If they dont match, you get the nag screen... So editing your local file, sometimes doesnt seem to work, because even though YOUR version may technically be correct, if it doesnt match the one online, which may not have been updated yet, then you still get the "outdated" mod error... By deleteing MiniAVC.dll itself, then the version check wont be performed AT ALL...At least I THINK thats the way its supposed to work...

You may also need to scrub your whole GameData folder for multiple instances of MiniAVC, to get rid of them all, since a good number of mods install it...

And someone seems to be currently attempting to recompile this for a "compatible' 1.1.3 version, so be patient?

Edited by Stone Blue
Link to post
Share on other sites
  • 3 weeks later...

Two minor bugs, neither of which is even half as big of a problem as the issue with the Mach ribbons.

 

One: the 4000m landing ribbon does not supersede the 3500m landing ribbon. Kerbals who are awarded the former get both.

Note that the 3500m landing ribbon does supersede the lower ranks properly. Kerbals who get the 4000m and 3500m ribbons for a high enough landing don't also get the 3000m and lower ribbons.

 

Two: typos in the names of the ribbons awarded to the Kerbals who make the "First First [sic]" landings at Kerbin's north and south polar ice caps. To paraphrase a naughty joke from a certain 1974 movie, you said "first" twice.

Link to post
Share on other sites
  • 3 weeks later...
  • 3 weeks later...

PSA: Contract Configurator will break the toolbar reflection wrapper with its 1.2 release

Some code that I added to Contract Configurator has exposed a bit of a nasty bug in the toolbar reflection wrapper.  I've sent blizzy a pull request here, but the problem is that this is in the toolbar integration code that is copy+pasted into loads of mods.

So if you see an error that looks something like this (the namespace will be different), the issue is not with toolbar itself, but the mod using toolbar:

[EXC 21:21:15.772] NotSupportedException: The invoked member is not supported in a dynamic module.
    System.Reflection.Emit.AssemblyBuilder.GetExportedTypes () (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection.Emit/AssemblyBuilder.cs:680)
    RSTUtils.ToolbarTypes+<>c.<getType>b__5_0 (.LoadedAssembly a)
    System.Linq.Enumerable+<CreateSelectManyIterator>c__Iterator12`2[AssemblyLoader+LoadedAssembly,System.Type].MoveNext ()
    System.Linq.Enumerable.Single[Type] (IEnumerable`1 source, System.Func`2 predicate, Fallback fallback)
    System.Linq.Enumerable.SingleOrDefault[Type] (IEnumerable`1 source, System.Func`2 predicate)
    RSTUtils.ToolbarTypes.getType (System.String name)
    RSTUtils.ToolbarManager.get_Instance ()
    RSTUtils.ToolbarManager.get_ToolbarAvailable ()

The fix is a one liner is about 5 lines and can be found in my pull request linked above.  Or, if/when it gets update, then just recopy the whole wrapper file from toolbar.

Edited by nightingale
Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...